installation problems, mongrel ruby 1.8.6

can anyone help with this?

i installed mongrel clusters with my dev environment and upgraded to
ruby 1.8.6, but now rake fails in my app. i can boot the app fine, but
the testing fails. so i uninstalled mongrel_cluster etc, went back down
to ruby 1.8.5, using rails 1.2.3, and back to rake 0.7.3. i get this
error message with rake:

/usr/local/lib/ruby/gems/1.8/gems/rails-1.2.3/lib/initializer.rb:204:in
`read': No such file or directory -
http://localhost:3002/config/environments/test.rb (Errno::ENOENT)

i wanted to install clusters & nginx locally to test a problem in the
app.